from django.test import TestCase


class GoodPlaceHomepageTest(TestCase):

	def test_home_page_returns_correct_html(self):
		response = self.client.get('/froyo_homepage')
		self.assertTemplateUsed(response, "froyo_homepage.html")


class IngredientsCreateFormTest(TestCase):

	def test_ingredients_create_form_returns_correct_html(self):
		response = self.client.get('/froyo/ingredients_create_form')
		self.assertTemplateUsed(response, "ingredients_create_form.html")


class IngredientsDetailTest(TestCase):

	def test_ingredients_detail_returns_correct_html(self):
		response = self.client.get('/froyo/ingredients_detail')
		self.assertTemplateUsed(response, "ingredients_detail.html")


class IngredientsListTest(TestCase):

	def test_ingredients_list_returns_correct_html(self):
		response = self.client.get('/froyo/ingredients_list')
		self.assertTemplateUsed(response, "ingredients_list.html")


class IngredientsUpdateFormTest(TestCase):

	def test_ingredients_update_form_returns_correct_html(self):
		response = self.client.get('/froyo/ingredients_update_form')
		self.assertTemplateUsed(response, "ingredients_update_form.html")


class OrdersCreateFormTest(TestCase):

	def test_orders_create_form_returns_correct_html(self):
		response = self.client.get('/froyo/orders_create_form')
		self.assertTemplateUsed(response, "orders_create_form.html")


class OrdersDetailTest(TestCase):

	def test_orders_detail_returns_correct_html(self):
		response = self.client.get('/froyo/orders_detail')
		self.assertTemplateUsed(response, "orders_detail.html")


class OrdersListTest(TestCase):

	def test_orders_list_returns_correct_html(self):
		response = self.client.get('/froyo/orders_list')
		self.assertTemplateUsed(response, "orders_list.html")


class OrdersUpdateFormTest(TestCase):

	def test_orders_update_form_returns_correct_html(self):
		response = self.client.get('/froyo/orders_update_form')
		self.assertTemplateUsed(response, "orders_update_form.html")


class RecipesCreateFormTest(TestCase):

	def test_recipes_create_form_returns_correct_html(self):
		response = self.client.get('/froyo/recipes_create_form')
		self.assertTemplateUsed(response, "recipes_create_form.html")


class RecipesDetailTest(TestCase):

	def test_recipes_detail_returns_correct_html(self):
		response = self.client.get('/froyo/recipes_detail')
		self.assertTemplateUsed(response, "recipes_detail.html")


class RecipesListTest(TestCase):

	def test_recipes_list_returns_correct_html(self):
		response = self.client.get('/froyo/recipes_list')
		self.assertTemplateUsed(response, "recipes_list.html")


class RecipesUpdateFormTest(TestCase):

	def test_recipes_update_form_returns_correct_html(self):
		response = self.client.get('/froyo/recipes_update_form')
		self.assertTemplateUsed(response, "recipes_update_form.html")
